define("ace/snippets/lua", ["require","exports","module"], function(r, e, m) {
	"use strict";
	e.snippetText = [
		"snippet local",
		"	local ${1:x} = ${2:1}",
		"snippet fun",
		"	function ${1:fname}(${2:...})",
		"		${3:-- body}",
		"	end",
		"snippet for",
		"	for ${1:i} = ${2:1}, ${3:10} do",
		"		${4:print(i)}",
		"	end",
		"snippet forp",
		"	for ${1:i}, ${2:value} in pairs(${3:table_name}) do",
		"		${4:-- body}",
		"	end",
		"snippet fori",
		"	for ${1:key}, ${2:value} in ipairs(${3:table_name}) do",
		"		${4:-- body}",
		"	end",
		"snippet grp.read",
		"	grp.read('${1:0/0/1}')",
		"snippet grp.write",
		"	grp.write('${1:0/0/1}', ${2:value})",
		"snippet grp.response",
		"	grp.response('${1:0/0/1}', ${2:value})",
		"snippet grp.getvalue",
		"	${1:value} = grp.getvalue('${2:0/0/1}')",
		"snippet grp.find",
		"	${1:group} = grp.find('${2:0/0/1}')",
		"snippet grp.checkwrite",
		"	grp.checkwrite('${1:0/0/1}', ${2:value}, ${3:delta})",
		"snippet grp.checkresponse",
		"	grp.checkresponse('${1:0/0/1}', ${2:value}, ${3:delta})",
		"snippet storage.set",
		"	storage.set('${1:key}', ${2:value})",
		"snippet storage.get",
		"	${1:value} = storage.get('${2:key}', ${3:default})",
		"snippet storage.delete",
		"	storage.delete('${1:key}')",
		""
	].join("\n");

	e.scope = "lua";
});

(function() {
	window.require(["ace/snippets/lua"], function(m) {
		if (typeof module == "object" && typeof exports == "object" && module) {
			module.exports = m;
		}
	});
})();

